Package org.apache.catalina.valves.rewrite

## Class Substitution.ServerVariableElement

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement
  - - org.apache.catalina.valves.rewrite.Substitution.ServerVariableElement

Enclosing class:
  Substitution

    public static class Substitution.ServerVariableElement
    extends Substitution.SubstitutionElement

### Field Summary

Fields
`String` `key`

### Constructor Summary

Constructors
`ServerVariableElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `evaluate​(Matcher rule, Matcher cond, Resolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### key

    public String key

### Constructor Detail

#### ServerVariableElement

    public ServerVariableElement()

### Method Detail

#### evaluate

    public String evaluate​(Matcher rule,
                           Matcher cond,
                           Resolver resolver)

Specified by:
  `evaluate` in class `Substitution.SubstitutionElement`